#### VERIFICATION

#### Synopsis

    HELP:   Signature verification
    TYPE:   OBJECT
    SYNTAX: VERIFICATION(FILE='str'/STREAM/DUMMY,FORMAT.{},FKM5())

#### Description

The signature verification object defines all parameters needed to verify a detached signature.

This object contains signature file definitions and FKM5 parameters. You can optionally specify the signature format to reduce detection overhead. Otherwise, the signature format is detected and an error eccors if detection fails.

As the signature file is not part of the original data, it is completely read into memory.

#### Arguments

- `STRING: FILE='str'/STREAM/DUMMY - Name of the signature file`
  - `STREAM - Read from stdin or write to stdout`
  - `DUMMY - Read EOF or write nothing`